Get Aimee action-required reasons
Retrieve Reasons for Action Required with Percentage Values.
Sample Request:
GET /api/aimee-reason-action-required/?practice_ids=9AxAFr4n63uputNXKo89x1,9AxAFr4n63uputNXKo89x2&organization_id=9AxAFr4n63uputNXKo89x1®ion_id=9AxAFr4n63uputNXKo89x1
curl --request GET \
--url https://api.prod.peerlogic.com/api/aimee-reason-action-required/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.peerlogic.com/api/aimee-reason-action-required/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.peerlogic.com/api/aimee-reason-action-required/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"reason_name": "resolved_by_agent",
"value": 0.55,
"count": 3
},
{
"reason_name": "not_applicable",
"value": 15.69,
"count": 85
},
{
"reason_name": "resolved_by_aimee",
"value": 0.18,
"count": 1
},
{
"reason_name": "escalated",
"value": 81.75,
"count": 444
},
{
"reason_name": "working_aimee",
"value": 1.82,
"count": 10
}
]{
"field_error": "One of the following parameter must be provided [practice_ids, organization_id or region_id]"
}{
"detail": "'Authorization' header is required"
}Authorizations
Bearer access token issued by Peerlogic.
Query Parameters
Comma-separated list of practice IDs to filter reasons by specific practices. Example: '9AxAFr4n63uputNXKo89x1,9AxAFr4n63uputNXKo89x2'
Organization ID to filter reasons within a specific organization. Example: '9AxAFr4n63uputNXKo89x1'
Region ID to filter reasons by a specific region. Example: '9AxAFr4n63uputNXKo89x1'
Search term to filter conversations by message content. Example: 'follow-up'
Filter conversations by caller name. Example: 'John Doe'
Filter conversations by start time. Example: '2024-09-25T08:00:00Z'
Filter conversations by non-practice participant type. Example: 'new_patient'.
new_patient, existing_patient Filter conversations by responsive outreach status. Example: 'working_aimee'.
working_aimee, working_agent, escalated, not_applicable, resolved_by_aimee, resolved_by_agent, closed Filter conversations by responsive outreach escalation. Example: 'aimee_initiated'.
aimee_initiated, aimee_error, user_initiated, conversation_abandoned, sms_failed, insurance_not_accepted, insurance_needs_verification, prescription_refill_request, patient_messaged_resolved_conversation, user_stop_text_received, aimee_hallucinated Apply custom filters to conversations. Example: 'aimee_booked'.
all_conversations, patients_engaged, action_required, aimee_booked, aimee_rescheduled, aimee_cancelled, aimee_confirmed, staff_intervened, staff_booked, staff_rescheduled, staff_cancelled, staff_confirmed Was this page helpful?
